=== debian/control ===
Source: redis
Section: database
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libhiredis-dev,
 libjemalloc-dev [linux-any],
 liblua5.1-dev,
 liblzf-dev,
 libssl-dev,
 libsystemd-dev,
 lua-bitop-dev,
 lua-cjson-dev,
 openssl <!nocheck>,
 pkg-config,
 procps <!nocheck>,
 tcl <!nocheck>,
 tcl-tls <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://redis.io/
Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
Rules-Requires-Root: no

Package: redis
Architecture: all
Depends:
 redis-server (<< ${binary:Version}.1~),
 redis-server (>= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface (metapackage)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package depends on the redis-server package.

Package: redis-sentinel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 redis-tools (= ${binary:Version}),
 sysvinit-utils,
 ${misc:Depends},
Description: Persistent key-value database with network interface (monitoring)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the Redis Sentinel monitoring software.

Package: redis-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 redis-tools (= ${binary:Version}),
 sysvinit-utils,
 ${misc:Depends},
Description: Persistent key-value database with network interface
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.

Package: redis-tools
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ruby-redis,
Description: Persistent key-value database with network interface (client)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the command line client and other tools.
