## redis 8.0.0

=== debian/changelog ===
redis (5:8.0.0-2) unstable; urgency=medium

  * Upload 8.x series to unstable after relicensing; we should always prefer to
    ship the latest upstream version, especially given Debian's support
    timelines.
  * Drop all CVE-related patches; applied upstream.
  * Update debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 May 2025 14:43:28 -0700

redis (5:8.0.0-1) experimental; urgency=medium

  * New upstream release under new AGPL-3 licensing scheme.
    - Update debian/copyright.
    - Drop all CVE-related patches; applied upstream.
    - Update and simplify Debian's USE_SYSTEM_JEMALLOC patch.
  * Pass CXXFLAGS when compiling fast_float so that hardening flags are
    correctly passed to this dependency.
  * Refresh patches.
  * Drop unversioned Depends on Essential: yes package sysvinit-utils.
  * Build-Depend on pkgconf over pkg-config.
  * Bump Standards-Version to 4.7.2.

 -- Chris Lamb <lamby@debian.org>  Sun, 11 May 2025 15:23:26 -0700

redis (5:7.2.5-3) experimental; urgency=high

  * Fix two security vulnerabilities:

    - CVE-2024-46981: An authenticated user could have used a specially-crafted
      Lua script to manipulate the garbage collector and potentially lead to
      remote code execution.

    * CVE-2024-51741: An authenticated user with sufficient privileges may have
      created a malformed ACL selector which, when accessed, would have
      triggered a server panic and subsequent denial of service.

    (Closes: #1092370)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Jan 2025 10:00:03 +0000

redis (5:7.0.15-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2025-21605: Limit output buffer for unauthenticated clients
    (Closes: #1104010)

 -- Adrian Bunk <bunk@debian.org>  Fri, 09 May 2025 16:03:22 +0300
