=== modules/redisbloom/Makefile ===
SRC_DIR = src
MODULE_VERSION = v8.0.1
MODULE_REPO = https://github.com/redisbloom/redisbloom
TARGET_MODULE = $(SRC_DIR)/bin/$(FULL_VARIANT)/redisbloom.so

include ../common.mk
