=== modules/redistimeseries/Makefile ===
SRC_DIR = src
MODULE_VERSION = v8.0.1
MODULE_REPO = https://github.com/redistimeseries/redistimeseries
TARGET_MODULE = $(SRC_DIR)/bin/$(FULL_VARIANT)/redistimeseries.so

include ../common.mk
