=== debian/changelog ===
redis (5:8.0.2-3ubuntu0.25.10.1) questing-security; urgency=medium

  * SECURITY UPDATE: remote code execution
    - debian/patches/CVE-2025-49844.patch: protect TString on stack
      during parsing to prevent use-after-free condition in lparser.c
    - CVE-2025-49844

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 14 Oct 2025 00:50:17 +0530

redis (5:8.0.2-3build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 11:33:18 +0000

redis (5:8.0.2-3) unstable; urgency=medium

  * Add a patch to re-add "Redis ver. $REDIS_VERSION" output to the LOLWUT
    ~Easter Egg command output as a some testsuites were relying on it
    existing. This upstream change was made in 8.0.2, not in 8.0.0.

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Jul 2025 09:47:32 -0700

redis (5:8.0.2-2) unstable; urgency=high

  * CVE-2025-32023: An authenticated user may have used a specially-crafted
    string to trigger a stack/heap out-of-bounds write during hyperloglog
    operations, potentially leading to remote code execution. Installations
    that used Redis' ACL system to restrict hyperloglog "HLL" commands are
    unaffected by this issue. (Closes: #1108975)
  * CVE-2025-48367: An unauthenticated connection could have caused repeated IP
    protocol errors, leading to client starvation and ultimately become a
    Denial of Service (DoS) attack. (Closes: #1108981)

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Jul 2025 14:02:33 -0700

redis (5:8.0.2-1) unstable; urgency=medium

  * New upstream security release:

    - CVE-2025-27151: Fix an stack-based buffer overflow in redis-check-aof
      caused by the use of memcpy with strlen(filepath) when copying a
      user-supplied file path into a fixed-size stack buffer. This allowed an
      attacker to overflow the stack and potentially achieve arbitrary code
      execution. (Closes: #1106822)

  * Update debian/watch to consider 8.x versions again after the recent
    licensing change.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 May 2025 12:05:58 -0700
