=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libhiredis-dev,
@@ -13,11 +14,11 @@
  lua-bitop-dev,
  lua-cjson-dev,
  openssl <!nocheck>,
- pkg-config,
+ pkgconf,
  procps <!nocheck>,
  tcl <!nocheck>,
  tcl-tls <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://redis.io/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
@@ -44,7 +45,6 @@
  ${misc:Pre-Depends},
 Depends:
  redis-tools (= ${binary:Version}),
- sysvinit-utils,
  ${misc:Depends},
 Description: Persistent key-value database with network interface (monitoring)
  Redis is a key-value database in a similar vein to memcache but the dataset
@@ -59,7 +59,6 @@
  ${misc:Pre-Depends},
 Depends:
  redis-tools (= ${binary:Version}),
- sysvinit-utils,
  ${misc:Depends},
 Description: Persistent key-value database with network interface
  Redis is a key-value database in a similar vein to memcache but the dataset
