=== debian/changelog ===
redis (5:8.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Drop two security patches that were applied upstream.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Oct 2025 10:37:53 -0700
