=== debian/changelog ===
redis (5:8.0.5-1) unstable; urgency=medium

  * New upstream release.
    <https://github.com/redis/redis/releases/tag/8.0.5>

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Nov 2025 08:53:25 -0800
