=== modules/redisearch/Makefile ===
SRC_DIR = src
MODULE_VERSION = v8.4.2
MODULE_REPO = https://github.com/redisearch/redisearch
TARGET_MODULE = $(SRC_DIR)/bin/$(FULL_VARIANT)/search-community/redisearch.so

include ../common.mk
