=== debian/changelog ===
redis (5:8.4.0-1) experimental; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Bump Standards-Version to 4.7.3.

 -- Chris Lamb <lamby@debian.org>  Tue, 13 Jan 2026 10:35:58 -0800
