=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libhiredis-dev,
@@ -18,7 +17,7 @@
  procps <!nocheck>,
  tcl <!nocheck>,
  tcl-tls <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://redis.io/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
